#ifndef FAILURES_H_
#define FAILURES_H_

#define xerror(status, fmt, arg...) \
do { \
	fprintf(stderr, "error: %s:%d %s: "fmt CRLF, \
			__FILE__, \
			__LINE__, \
			__FUNCTION__, \
			##arg); \
	fflush(stderr); \
	exit(status);	\
} while (0)


#define xwarning(fmt, arg...) \
do { \
	fprintf(stderr, "warning: %s:%d %s: "fmt CRLF, \
			__FILE__, \
			__LINE__, \
			__FUNCTION__, \
			##arg); \
	fflush(stderr); \
} while (0)

#endif
